Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: suse updater issues?

  1. #1

    Default suse updater issues?

    hi,
    when updater checks for updates and there are some (today for example) i popup info balloon telling me if i want to install. I choose yes, but it doesn't install anything, instead popup window shows up again telling me that new updates are available. And if i choose to install again (after filling in passwd) it gives me that popup again....and that's all.
    anyone having same issue? is it a bug and should be reported?

    thnx

  2. #2

    Default Re: suse updater issues?

    Quote Originally Posted by kartveli View Post
    hi,
    when updater checks for updates and there are some (today for example) i popup info balloon telling me if i want to install. I choose yes, but it doesn't install anything, instead popup window shows up again telling me that new updates are available. And if i choose to install again (after filling in passwd) it gives me that popup again....and that's all.
    anyone having same issue? is it a bug and should be reported?

    thnx
    uncheck the box that says remember my password or something like that and try again
    openSUSE 11.0 Kde 3.5.9 Linux kernel 2.6.26.1

    My Blog: http://snake1990.wordpress.com

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,536

    Default Re: suse updater issues?

    I think the box snakeeyes mentions is not there since you are using the applet.

    Now the applet is broken.

    Start YaST > Online Update to install the security updates that were signaled by the applet.

    And yes, it is a bug see https://bugzilla.novell.com/show_bug.cgi?id=388632, and the responsible person does not seem to take it serious, so we have to live with for some time I am afraid.
    Henk van Velden

  4. #4

    Default Re: suse updater issues?

    i update my system by zypper -dup.

    is doing updates from yast better? (and is yes why?)
    thnx

  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,536

    Default Re: suse updater issues?

    I think this is mostly a personal question. I started using YaST when I started using SUSE. In the meantime I know that a thing named zipper exists, but I still do not use it, but the GUI frontend in YaST.

    You will see others doing everything with zipper.
    Henk van Velden

  6. #6

    Default Re: suse updater issues?

    yeah, i just use "Install Software" now since the annoying issue with the updater applet reared it's ugly head.

  7. #7
    Join Date
    Jun 2008
    Location
    Friesland
    Posts
    207

    Default Re: suse updater issues?

    i'd say forget yast2 at all and the tray applet even more so. zypper is all you need and quite on par with yum/apt/pacman. I do not like yast at all and what always strikes me as strange that when I update opensuse I have three options (yast,zypper,tray applet) and none of them display the same set of updates available.

    # zypper dup

    stefan
    "The day Microsoft makes something that doesn't suck is the day they make a vacuum cleaner"
    OS: Fedora9, RHEL5, CENTOS5, Arch, OpenSuSe11
    Hardware: Dell Precision M65

  8. #8
    Join Date
    Jun 2008
    Location
    PHX
    Posts
    481

    Default Re: suse updater issues?

    Hard to infer the exact cause of different update sets without being at your system, but the -dup option does use a totally separate update algorithm from either YaST or the tray applet.
    <>---><^>

  9. #9
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,536

    Default Re: suse updater issues?

    I think we are talking about different things now. The original question imho was about the applet. The applet warns about security updates, things that are in the update repository. YaST > Online Update does the same. There is no doubt you can do the same using zipper, but I can not tell you how.

    The other thing is that in several repos (like KDE, nvidia, etcd) there may be newer versions of software. I download them using YaST > Software Management and then selecting all software or from a specific repo and then right click in the list choosing All in this List > Update when a newer version is available. I suppose this is (about?) the same as zipper dup or so (again I never used zipper from the CLI so details mea be wrong).

    I think we should not embarrass kartveli by mixing these two types of update. I strongly advise to do the security ones. The other ones are up to you (and at your own risc).
    Henk van Velden

  10. #10

    Default Re: suse updater issues?

    More words about update applet:
    I can't use it at all.
    After selecting packages to update it stops working with error in kdesu
    System: 11.0, KDE: 4.1beta

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •